<!DOCTYPE html>
<html>
<head>
  <title>Inventario</title>
  <link rel="stylesheet" href="Style2.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
  <nav>
    <a class="active" href="inicio.html">Inicio</a>
    <a href="inventario.html">Inventario</a>
    <a href="sugerencias.html">Surgerencias</a>
</nav>
<div class="container">
  <center><h1>Mobiliario de la Uleam</h1></center>
  
  <h2>Mobiliario Existentes:</h2>
  <ul id="inventario"></ul>
  
  <h2>Agregar Nuevo Mobiliario</h2>
  <form id="formulario">
    <label for="mobiliario">Nombre del Mobiliario:</label>
    <input type="text" id="mobiliario" required>
    <br>
    <label for="serie">Numero de serie:</label>
    <input type="text" id="serie" required>
    <br>
    <div class="form-control">
      <label for="facultad">Destino:</label>
      <select id="facultad" name="facultad" required>
        <option value="Ciencias Informaticas">Facultad de Ciencias Informaticas</option>
        <option value="Trabajo Social">Facultad de Trabajo Social</option>
        <option value="Eduacion Inicial">Facultad de Educacion Inicial</option>
      </select>
    <br>
    <div class="form-control">
      <label for="estado">Estado:</label>
      <select id="estado" name="estado" required>
        <option value="Nuevo">Nuevo</option>
        <option value="Usado">Usado</option>
      </select>
      </div>
    <br>
    <button type="submit">Registrar</button>
  </div>
  </form>
  
  <script>
    // Cargar el inventario al cargar la página
    $(document).ready(function() {
      cargarInventario();
    });
    
    // Cargar el inventario desde el archivo JSON
    function cargarInventario() {
      $.getJSON('inventario.json', function(data) {
        $.each(data, function(index, mobiliario) {
          agregarMobiliario(mobiliario);
        });
      });
    }
    
    // Agregar una nuevo mobiliario al inventario y al archivo JSON
    $('#formulario').submit(function(event) {
      event.preventDefault();
      
      var mobiliario = $('#mobiliario').val();
      var serie = $('#serie').val();
      var facultad = $('#facultad').val();
      var estado = $('#estado').val();
      
      var nuevoMobiliario = {
        "mobiliario": mobiliario,
        "serie": serie,
        "facultad": facultad,
        "estado": estado
      };
      
      agregarMobiliario(nuevoMobiliario);
      guardarMobiliario(nuevoMobiliario);
      
      // Limpiar el formulario
      $('#mobiliario').val('');
      $('#serie').val('');
      $('#facultad').val('');
      $('#estado').val('');
    });
    
    // Agregar un mobiliario a la lista en el HTML
    function agregarMobiliario(mobiliario) {
      var mobiliarioHTML = '<li>Mobiliario: ' + mobiliario.mobiliario + ', Serie: ' + mobiliario.serie + ', Facultad: ' + mobiliario.facultad + ', Estado: ' + mobiliario.estado + '</li>';
      $('#inventario').append(mobiliarioHTML);
    }
    
    // Guardar un mobiliario en el archivo JSON
    function guardarMobiliario(mobiliario) {
      $.getJSON('inventario.json', function(data) {
        data.push(mobiliario);
        $.ajax({
          type: 'POST',
          url: 'guardar_inventario.php',
          data: { inventario: JSON.stringify(data) },
          success: function() {
            console.log('Mobiliario guardado exitosamente.');
          },
          error: function() {
            console.log('Error al guardar el mobiliario.');
          }
        });
      });
    }
  </script>
</body>
</html>
